// JavaScript Document


//float2moeda
//A partir de um valor float ela retorna o valor formatado com separador de milhar e vírgula nos centavos.
// 1234.11 retorna 1.234,11
function float2moeda(num) {

   x = 0;

   if(num<0) {
      num = Math.abs(num);
      x = 1;
   }
   if(isNaN(num)) num = "0";
      cents = Math.floor((num*100+0.5)%100);

   num = Math.floor((num*100+0.5)/100).toString();

   if(cents < 10) cents = "0" + cents;
      for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)
         num = num.substring(0,num.length-(4*i+3))+'.'
               +num.substring(num.length-(4*i+3));
   ret = num + ',' + cents;
   if (x == 1) ret = ' - ' + ret;
   return ret;

}



// roundNumber
// Em php temos a função round cujo objetivo é arredondar valores em um certo
// número de casas decimais. Já no javascript para definirmos a quantidade de
// casas decimais temos que usar de artimanhas .
function roundNumber (rnum) {
   return Math.round(rnum*Math.pow(10,2))/Math.pow(10,2);
}


// moeda2float
// Pega um valor formatado com virgula e separador de milha e o transforma em
// float
function moeda2float(moeda){
   moeda = moeda.replace(".","");
   moeda = moeda.replace(",",".");
   return parseFloat(moeda);
}



// ///////////Capitura a key////////////
$("#btn1").keypress(function(event) {
  if ( event.which == 13 ) {
     event.preventDefault();
  	 alert($('#btn1').val());
   }

});

$("#btn1").click(function() {
  $("#btn1").keypress();
});

// /////////////////////////


// ////// Comparar Data //////

function CompararData(data1, data2){

	if ( parseInt( data2.split( "/" )[2].toString() + data2.split( "/" )[1].toString() + data2.split( "/" )[0].toString() ) > parseInt( data1.split( "/" )[2].toString() + data1.split( "/" )[1].toString() + data1.split( "/" )[0].toString() ) )
{
 return false;
}
else
{
return true;
}
	
}



function IsEmail(email){
    var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/;
    var check=/@[\w\-]+\./;
    var checkend=/\.[a-zA-Z]{2,3}$/;
    if(((email.search(exclude) != -1)||(email.search(check)) == -1)||(email.search(checkend) == -1)){return false;}
    else {return true;}
}


function insertAtCaret(areaId,text) {
	var txtarea = document.getElementById(areaId);
	var scrollPos = txtarea.scrollTop;
	var strPos = 0;
	var br = ((txtarea.selectionStart || txtarea.selectionStart == '0') ? 
		"ff" : (document.selection ? "ie" : false ) );
	if (br == "ie") { 
		txtarea.focus();
		var range = document.selection.createRange();
		range.moveStart ('character', -txtarea.value.length);
		strPos = range.text.length;
	}
	else if (br == "ff") strPos = txtarea.selectionStart;
	
	var front = (txtarea.value).substring(0,strPos);  
	var back = (txtarea.value).substring(strPos,txtarea.value.length); 
	txtarea.value=front+text+back;
	strPos = strPos + text.length;
	if (br == "ie") { 
		txtarea.focus();
		var range = document.selection.createRange();
		range.moveStart ('character', -txtarea.value.length);
		range.moveStart ('character', strPos);
		range.moveEnd ('character', 0);
		range.select();
	}
	else if (br == "ff") {
		txtarea.selectionStart = strPos;
		txtarea.selectionEnd = strPos;
		txtarea.focus();
	}
	txtarea.scrollTop = scrollPos;
}

function DataAtual(){
hoje = new Date()
dia = hoje.getDate()
mes = hoje.getMonth()
ano = hoje.getFullYear()
if (dia < 10)
dia = "0" + dia
if (ano < 2000)
ano = "19" + ano
if(mes < 10)
 mes = "0" + (mes + 1);
return dia+"/"+mes+"/"+ano; 

// O mes começa em Zero, então soma-se 1
	
}



function DiferencaEntreDatas(DtAtual, DtPassada) {
var dias = 0;
var date2 = new String(DtAtual);
var date1 = new String(DtPassada);
date1 = date1.split("/");
date2 = date2.split("/");
var sDate = new Date(date1[1]+"/"+date1[0]+"/"+date1[2]);
var eDate = new Date(date2[1]+"/"+date2[0]+"/"+date2[2]);
dias = Math.round((sDate-eDate)/86400000);
return dias;
}

function Seleciona(Nome, Value){
		$('select'+ Nome +' option:nth-child('+Value+')').attr('selected', 'selected');
		$(Nome).trigger('liszt:updated');
}

//desencripta no PHP
		// assim
		//str_rot13($var);
function Encriptar(str){
var key = 'franciscoAlvesDeSousa';
	var s = [], j = 0, x, res = '';
	for (var i = 0; i < 256; i++) {
		s[i] = i;
	}
	for (i = 0; i < 256; i++) {
		j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
		x = s[i];
		s[i] = s[j];
		s[j] = x;
	}
	i = 0;
	j = 0;
	for (var y = 0; y < str.length; y++) {
		i = (i + 1) % 256;
		j = (j + s[i]) % 256;
		x = s[i];
		s[i] = s[j];
		s[j] = x;
		res += String.fromCharCode(str.charCodeAt(y) ^ s[(s[i] + s[j]) % 256]);
	}
	return res;
			
};

String.prototype.rot13 = function(){
    	return this.replace(/[a-zA-Z0-9]/g, function(c){
        	return String.fromCharCode((c <= "Z" ? 90 : 122) >= (c = c.charCodeAt(0) + 13) ? c : c - 26);
    	});
};


